# Uses of Enum Class
org.opensaml.soap.util.SOAPVersion

Packages that use SOAPVersion
Package
Description
org.opensaml.soap.messaging
SOAP messaging support components.
org.opensaml.soap.util
General SOAP utility classes.

## Uses of SOAPVersion in org.opensaml.soap.messaging

Methods in org.opensaml.soap.messaging that return SOAPVersion
Modifier and Type
Method
Description
`static SOAPVersion`
SOAPMessagingSupport.`getSOAPVersion(MessageContext messageContext)`
Determine the SOAP version of the message represented by the message context.

## Uses of SOAPVersion in org.opensaml.soap.util

Methods in org.opensaml.soap.util that return SOAPVersion
Modifier and Type
Method
Description
`static SOAPVersion`
SOAPVersion.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SOAPVersion[]`
SOAPVersion.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.